gnome-shell-xrdesktop/kwin-effect-xrdesktop FTBFS: universe package needs dependency from multiverse

Bug #1881468 reported by Hans Joachim Desserud on 2020-05-31
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-shell-xrdesktop (Ubuntu)
Undecided
Unassigned
kwin-effect-xrdesktop (Ubuntu)
Undecided
Unassigned

Bug Description

kwin-effect-xrdesktop currently fails to build 0.14.0-2 [1] since it is missing two build dependencies [2]:
The following packages have unmet dependencies:
 sbuild-build-depends-kwin-effect-xrdesktop-dummy : Depends: libgxr-dev but it is not installable
                                                    Depends: libxrdesktop-dev (>= 0.14~) but it is not installable

(Same happens when attempting to build gnome-shell-xrdesktop [3], seems to be the same build dependencies)

Both of these packages are available, however since they are in the multiverse pocket [4][5], they are not found when attempting to build a package in universe, such as kwin-effect-xrdesktop.

I don't see why these packages are in multiverse though, as both appear to be in Debian main (and not marked with non-free or contrib like multiverse packages usually are).

[1] https://launchpad.net/ubuntu/+source/kwin-effect-xrdesktop/0.14.0-2
[2] https://launchpadlibrarian.net/482047406/buildlog_ubuntu-groovy-amd64.kwin-effect-xrdesktop_0.14.0-2_BUILDING.txt.gz
[3] https://launchpadlibrarian.net/482047448/buildlog_ubuntu-groovy-amd64.gnome-shell-xrdesktop_3.36.1-2_BUILDING.txt.gz
[4] https://launchpad.net/ubuntu/+source/xrdesktop
[5] https://launchpad.net/ubuntu/+source/gxr

description: updated
summary: - kwin-effect-xrdesktop FTBFS: universe package needs dependency from
- multiverse
+ gnome-shell-xrdesktop/kwin-effect-xrdesktop FTBFS: universe package
+ needs dependency from multiverse
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers